Follow

iOS Device Compatibility

The Display and Navdy app are compatible with iPhone 5 or newer, running iOS 9.0 or above. Navdy isn’t compatible with:

  • iPhone® 4s or older, running iOS 8.4.1 or below
  • iPod®
  • iPad®
  • Apple Watch®

Tip: If you have an iPad with cellular capability, you may see the Navdy app within the App Store for download. However, we do not support the Navdy app on iPad.

Was this article helpful?
0 out of 1 found this helpful
Can't find what you're looking for?

Submit your question here

Or ask our Community!